unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

  Zeichnen : Boolean = false;
  Farbe : Tcolor = clblack;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Farbe := self.Canvas.Pixels[x,y];
  Zeichnen := true;
  self.Invalidate;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
  self.canvas.pen.width := 20;
  self.canvas.Pen.color := clred;
  self.canvas.Line(10, 30, 100, 30);

  if Zeichnen then
    begin
     self.canvas.pen.width := 20;
     self.canvas.Pen.color := Farbe;
     self.canvas.Line(10, 60, 100, 60);
    end;


end;

end.

